Package com.omnisci.thrift.server

## Class TSlotSize

- java.lang.Object
- - com.omnisci.thrift.server.TSlotSize

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSlotSize>`, `org.apache.thrift.TBase<TSlotSize,​TSlotSize._Fields>`, `org.apache.thrift.TSerializable`

    public class TSlotSize
    extends Object
    implements org.apache.thrift.TBase<TSlotSize,​TSlotSize._Fields>, Serializable, Cloneable, Comparable<TSlotSize>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TSlotSize._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`short` `logical`
`static Map<TSlotSize._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`short` `padded`

### Constructor Summary

Constructors
`TSlotSize()`
`TSlotSize​(short padded, short logical)`
`TSlotSize​(TSlotSize other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TSlotSize other)`
`TSlotSize` `deepCopy()`
`boolean` `equals​(TSlotSize that)`
`boolean` `equals​(Object that)`
`TSlotSize._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TSlotSize._Fields field)`
`short` `getLogical()`
`short` `getPadded()`
`int` `hashCode()`
`boolean` `isSet​(TSlotSize._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetLogical()` Returns true if field logical is set (has been assigned a value) and false otherwise
`boolean` `isSetPadded()` Returns true if field padded is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TSlotSize._Fields field, Object value)`
`TSlotSize` `setLogical​(short logical)`
`void` `setLogicalIsSet​(boolean value)`
`TSlotSize` `setPadded​(short padded)`
`void` `setPaddedIsSet​(boolean value)`
`String` `toString()`
`void` `unsetLogical()`
`void` `unsetPadded()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### padded

    public short padded

#### logical

    public short logical

#### metaDataMap

    public static final Map<TSlotSize._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TSlotSize

    public TSlotSize()

#### TSlotSize

    public TSlotSize​(short padded,
                     short logical)

#### TSlotSize

    public TSlotSize​(TSlotSize other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TSlotSize deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSlotSize,​TSlotSize._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSlotSize,​TSlotSize._Fields>`

#### getPadded

    public short getPadded()

#### setPadded

    public TSlotSize setPadded​(short padded)

#### unsetPadded

    public void unsetPadded()

#### isSetPadded

    public boolean isSetPadded()

Returns true if field padded is set (has been assigned a value) and false otherwise

#### setPaddedIsSet

    public void setPaddedIsSet​(boolean value)

#### getLogical

    public short getLogical()

#### setLogical

    public TSlotSize setLogical​(short logical)

#### unsetLogical

    public void unsetLogical()

#### isSetLogical

    public boolean isSetLogical()

Returns true if field logical is set (has been assigned a value) and false otherwise

#### setLogicalIsSet

    public void setLogicalIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TSlotSize._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSlotSize,​TSlotSize._Fields>`

#### getFieldValue

    public Object getFieldValue​(TSlotSize._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSlotSize,​TSlotSize._Fields>`

#### isSet

    public boolean isSet​(TSlotSize._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSlotSize,​TSlotSize._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TSlotSize that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TSlotSize other)

Specified by:
  `compareTo` in interface `Comparable<TSlotSize>`

#### fieldForId

    public TSlotSize._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSlotSize,​TSlotSize._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`